<xsd:schema  xmlns:xsd="http://www.w3.org/2001/XMLSchema"
 elementFormDefault="qualified">

<xsd:include schemaLocation="common_obj.xsd"/>
<xsd:include schemaLocation="common_trans.xsd"/>


	<xsd:element name="IVR_MSG_LIST" type="IvrMsgListContent"/>
	<xsd:element name="AV_MSG_SERVICE" type="AvMsgServiceContent"/>
	<xsd:element name="IVR_SERVICE" type="IvrServiceContent"/>
	<xsd:element name="WELCOME_MESSAGE_PERIOD" type="xsd:integer"/>
	<xsd:element name="MUSIC" type="xsd:boolean"/>
	<xsd:element name="VIDEO_FILE_NAME" type="xsd:string"/>
	<xsd:element name="AUDIO_WELCOME_MESSAGE_FILE_NAME" type="xsd:string"/>
	<xsd:element name="AUDIO_ON_HOLD_FILE_NAME" type="xsd:string"/>
	<xsd:element name="IVR_PARAMS" type="IvrParamsContent"/>
	<xsd:element name="OPCODE" type="DtmfOpcodeType"/>
	<xsd:element name="PERMISSION" type="DtmfPermissionType"/>
	<xsd:element name="DTMF_STRING" type="xsd:string"/>
	<xsd:element name="IS_ENTRY_QUEUE_SERVICE" type="xsd:boolean"/>
	<xsd:element name="IVR_FEATURE_DETAILS" type="IvrFeatureContent"/>
	<xsd:element name="FEATURE_TYPE" type="IvrFeatureType"/>
	<xsd:element name="IS_ENABLED" type="xsd:boolean"/>
	<xsd:element name="IVR_EVENT" type="IvrEventContent"/>
	<xsd:element name="EVENT_TYPE" type="IvrEventType"/>
	<xsd:element name="IVR_MESSAGE" type="IvrMessageContent"/>
	<xsd:element name="LANGUAGE_NUMBER" type="xsd:integer"/>
	<xsd:element name="MESSAGE_FILE_NAME" type="xsd:string"/>
	<xsd:element name="LANGUAGE_MENU" type="LanguageMenuContent"/>
	<xsd:element name="CURRENT_LANGUAGE_NUMBER" type="xsd:integer"/>
	<xsd:element name="LANGUAGE" type="LanguageContent"/>
	<xsd:element name="NUMBER" type="xsd:integer"/>
	<xsd:element name="DTMF_OPCODE" type="xsd:integer"/>
	<xsd:element name="LANG_NAME" type="xsd:string"/>
	<xsd:element name="EXTERNAL_SERVER" type="ExternalServerType"/>
	<xsd:element name="INPUT_RETRIES_NUMBER" type="xsd:integer"/>
	<xsd:element name="INPUT_TIMEOUT_SEC" type="xsd:integer"/>
	<xsd:element name="DTMF_DELIMITER" type="DtmfDelimiterType"/>
	<xsd:element name="WELCOME_MSG" type="WelcomMsgContent"/>
	<xsd:element name="ON_HOLD_FOR_OPERATOR_ASSISTANCE" type="xsd:boolean"/>
	<xsd:element name="CONF_WELCOME_MSG_ENABLED" type="xsd:boolean"/>
	<xsd:element name="CHAIRPERSON" type="ChairPersonContent"/>
	<xsd:element name="CHAIRMAN_KEY" type="DtmfDelimiterType"/>
	<xsd:element name="CHAIRMAN_PASSWORD_AS_CONF_PASSWORD" type="xsd:boolean"/>
	<xsd:element name="BILLING_CODE" type="xsd:boolean"/>
	<xsd:element name="CONF_PASSWORD" type="ConfPasswordContent"/>
	<xsd:element name="DIAL_OUT" type="ConfEntryPasswordType"/>
	<xsd:element name="DIAL_IN" type="ConfEntryPasswordType"/>
	<xsd:element name="GENERAL_MSG" type="GeneralMsgContent"/>
	<xsd:element name="OPERATOR_ASSISTANCE" type="OperatorAssistanceContent"/>
	<xsd:element name="ENABLED_ON_FAILURE" type="xsd:boolean"/>
	<xsd:element name="ROLL_CALL_PARAMS" type="RollCallContent"/>
	<xsd:element name="VIDEO_SERVICE" type="VideoServiceContent"/>
	<xsd:element name="ENABLE_CLICK_AND_VIEW" type="xsd:boolean"/>
	<xsd:element name="PERSONAL_PIN_CODE" type="PinCodeContent"/>
	<xsd:element name="QUICK_LOGIN_ENABLED" type="xsd:boolean"/>
	<xsd:element name="NUMERIC_ID_PARAMS" type="NumericIdContent"/>
	<xsd:element name="DEFAULT_SERVICE_NAME" type="xsd:string"/>
	<xsd:element name="DEFAULT_EQ_SERVICE_NAME" type="xsd:string"/>
	<xsd:element name="MSG_PARTITIONS_32_SEC_LIST" type="MsgPartitionListContent"/>
	<xsd:element name="MSG_PARTITIONS_16_SEC_LIST" type="MsgPartitionListContent"/>
	<xsd:element name="MSG_PARTITIONS_8_SEC_LIST" type="MsgPartitionListContent"/>
	<xsd:element name="MSG_PARTITIONS_4_SEC_LIST" type="MsgPartitionListContent"/>
	<xsd:element name="MSG_PARTITIONS_2_SEC_LIST" type="MsgPartitionListContent"/>
	<xsd:element name="DOWNLOAD_STATUS" type="Ivr2DownloadStatusType"/>
	<xsd:element name="IVR_MSG" type="Ivr2MsgContent"/>
	<xsd:element name="DOWNLOADED_FILE_NAME" type="xsd:string"/>
	<xsd:element name="FILE_DOWNLOAD_STATUS" type="Ivr2FileDownloadStatusType"/>

	<xsd:element name="NOISY_LINE" type="NoisyLineContent"/>
	<xsd:element name="RETURN_AND_UNMUTE" type="xsd:boolean"/>
	<xsd:element name="RETURN_AND_MUTE" type="xsd:boolean"/>
	<xsd:element name="ADJUST_NOISE_DETECTION" type="xsd:boolean"/>
	<xsd:element name="DISABLE_NOISE_DETECTION" type="xsd:boolean"/>
	<xsd:element name="PLAY_NOISY_LINE_MENU" type="xsd:boolean"/>
	<xsd:element name="PLAY_NOISY_LINE_DETECTION_MESSAGE" type="xsd:boolean"/>
	<xsd:element name="RECORDING_PARAMS" type="RecordingContent"/>
	<xsd:element name="PLAYBACK_PARAMS" type="PlaybackContent"/>


	<xsd:complexType name="Ivr2MsgContent">
		<xsd:sequence>
			<xsd:element ref="DOWNLOADED_FILE_NAME" minOccurs="0"/>
			<xsd:element ref="FILE_DOWNLOAD_STATUS" minOccurs="0"/>
			<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:simpleType name="Ivr2FileDownloadStatusType">
		<xsd:restriction base="xsd:string">
			<xsd:enumeration value="empty"/>
			<xsd:enumeration value="downloaded"/>
			<xsd:enumeration value="needed"/>
			<xsd:enumeration value="unused"/>
			<xsd:enumeration value="download_msg"/>
		</xsd:restriction>
	</xsd:simpleType>

	<xsd:element name="AV_COMMON">
		<xsd:complexType> 
			<xsd:sequence>
				<xsd:element ref="SERVICE_NAME"/>
				<xsd:element ref="WELCOME_MESSAGE_PERIOD" minOccurs="0"/>				<!--not supported- value is always 0 -->
				<xsd:element ref="MUSIC" minOccurs="0"/>								<!--not supported- value is always false -->
				<xsd:element ref="VIDEO_FILE_NAME" minOccurs="0"/>
				<xsd:element ref="AUDIO_WELCOME_MESSAGE_FILE_NAME" minOccurs="0"/>		<!--not supported- value is always empty -->
				<xsd:element ref="AUDIO_ON_HOLD_FILE_NAME" minOccurs="0"/>				<!--not supported- value is always empty -->
				<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
			</xsd:sequence>
		</xsd:complexType> 
	</xsd:element>

	<xsd:complexType name="AvMsgServiceContent">
		<xsd:sequence>
			<xsd:element ref="AV_COMMON"/>
			<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:complexType name="IvrServiceContent">
		<xsd:sequence>
			<xsd:element ref="AV_COMMON"/>
			<xsd:element ref="IVR_PARAMS"/>
			<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:element name="DTMF_CODE">
		<xsd:complexType> 
			<xsd:sequence>
				<xsd:element ref="OPCODE" minOccurs="0"/>
				<xsd:element ref="PERMISSION" minOccurs="0"/>
				<xsd:element ref="DTMF_STRING" minOccurs="0"/>
				<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
			</xsd:sequence>
		</xsd:complexType> 
	</xsd:element>

	<xsd:element name="DTMF_CODES_LIST">
		<xsd:complexType> 
			<xsd:sequence>
				<xsd:element ref="DTMF_CODE" minOccurs="0" maxOccurs="unbounded"/>
			</xsd:sequence>
		</xsd:complexType> 
	</xsd:element>

	<xsd:complexType name="IvrFeatureContent">
		<xsd:sequence>
			<xsd:element ref="FEATURE_TYPE" minOccurs="0"/>
			<xsd:element ref="IS_ENABLED" minOccurs="0"/>
			<xsd:element ref="IVR_EVENT" minOccurs="0" maxOccurs="unbounded"/>
			<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:complexType name="IvrEventContent">
		<xsd:sequence>
			<xsd:element ref="EVENT_TYPE" minOccurs="0"/>
			<xsd:element ref="IVR_MESSAGE" minOccurs="0" maxOccurs="unbounded"/>
			<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:complexType name="IvrParamsContent">
		<xsd:sequence>
			<xsd:element ref="IS_ENTRY_QUEUE_SERVICE" minOccurs="0"/>
			<xsd:element ref="EXTERNAL_SERVER" minOccurs="0"/>
			<xsd:element ref="INPUT_RETRIES_NUMBER" minOccurs="0"/>
			<xsd:element ref="INPUT_TIMEOUT_SEC" minOccurs="0"/>
			<xsd:element ref="DTMF_DELIMITER" minOccurs="0"/>
			<xsd:element ref="LANGUAGE_MENU" minOccurs="0"/>					<!--not supported- feature always disabled -->
			<xsd:element ref="LANGUAGE" minOccurs="0" maxOccurs="unbounded"/>
			<xsd:element ref="WELCOME_MSG" minOccurs="0"/>
			<xsd:element ref="CHAIRPERSON" minOccurs="0"/>
			<xsd:element ref="CONF_PASSWORD" minOccurs="0"/>
			<xsd:element ref="GENERAL_MSG" minOccurs="0"/>
			<xsd:element ref="OPERATOR_ASSISTANCE" minOccurs="0"/>				<!--not supported- feature always disabled -->
			<xsd:element ref="ROLL_CALL_PARAMS" minOccurs="0"/>
			<xsd:element ref="VIDEO_SERVICE" minOccurs="0"/>
			<xsd:element ref="DTMF_CODES_LIST" minOccurs="0"/>
			<xsd:element ref="PERSONAL_PIN_CODE" minOccurs="0"/>				<!--not supported- feature always disabled -->			
			<xsd:element ref="NUMERIC_ID_PARAMS" minOccurs="0"/>
			<xsd:element ref="NOISY_LINE" minOccurs="0"/>						<!--not supported- feature always disabled -->
			<xsd:element ref="RECORDING_PARAMS" minOccurs="0"/>					<!--not supported- feature always disabled -->
			<xsd:element ref="PLAYBACK_PARAMS" minOccurs="0"/>					<!--not supported- feature always disabled -->
			<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:complexType name="NoisyLineContent">
		<xsd:sequence>
			<xsd:element ref="IVR_FEATURE_DETAILS" minOccurs="0"/>
			<xsd:element ref="RETURN_AND_UNMUTE" minOccurs="0"/>
			<xsd:element ref="RETURN_AND_MUTE" minOccurs="0"/>
			<xsd:element ref="ADJUST_NOISE_DETECTION" minOccurs="0"/>
			<xsd:element ref="DISABLE_NOISE_DETECTION" minOccurs="0"/>
			<xsd:element ref="PLAY_NOISY_LINE_MENU" minOccurs="0"/>
			<xsd:element ref="PLAY_NOISY_LINE_DETECTION_MESSAGE" minOccurs="0"/>
			<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:complexType name="NumericIdContent">
		<xsd:sequence>
			<xsd:element ref="IVR_FEATURE_DETAILS" minOccurs="0"/>
			<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:complexType name="PinCodeContent">
		<xsd:sequence>
			<xsd:element ref="IVR_FEATURE_DETAILS" minOccurs="0"/>
			<xsd:element ref="QUICK_LOGIN_ENABLED" minOccurs="0"/>
			<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:complexType name="VideoServiceContent">
		<xsd:sequence>
			<xsd:element ref="IVR_FEATURE_DETAILS"  minOccurs="0"/>
			<xsd:element ref="ENABLE_CLICK_AND_VIEW" minOccurs="0"/>
			<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:complexType name="RollCallContent">
		<xsd:sequence>
			<xsd:element ref="IVR_FEATURE_DETAILS"  minOccurs="0"/>
			<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:complexType name="OperatorAssistanceContent">
		<xsd:sequence>
			<xsd:element ref="IVR_FEATURE_DETAILS" minOccurs="0"/>
			<xsd:element ref="ENABLED_ON_FAILURE" minOccurs="0"/>
			<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:complexType name="GeneralMsgContent">
		<xsd:sequence>
			<xsd:element ref="IVR_FEATURE_DETAILS"  minOccurs="0"/>
			<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:complexType name="ConfPasswordContent">
		<xsd:sequence>
			<xsd:element ref="IVR_FEATURE_DETAILS"  minOccurs="0"/>
			<xsd:element ref="DIAL_OUT" minOccurs="0"/>
			<xsd:element ref="DIAL_IN" minOccurs="0"/>
			<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:complexType name="ChairPersonContent">
		<xsd:sequence>
			<xsd:element ref="IVR_FEATURE_DETAILS"  minOccurs="0"/>
			<xsd:element ref="CHAIRMAN_KEY" minOccurs="0"/>
			<xsd:element ref="CHAIRMAN_PASSWORD_AS_CONF_PASSWORD" minOccurs="0"/>	<!--not supported- value is always true -->
			<xsd:element ref="BILLING_CODE" minOccurs="0"/>
			<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:complexType name="WelcomMsgContent">
		<xsd:sequence>
			<xsd:element ref="IVR_FEATURE_DETAILS"  minOccurs="0"/>
			<xsd:element ref="ON_HOLD_FOR_OPERATOR_ASSISTANCE" minOccurs="0"/>		<!--not supported- value is always false -->
			<xsd:element ref="CONF_WELCOME_MSG_ENABLED" minOccurs="0"/>				<!--not supported- value is always false -->
			<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:complexType name="LanguageContent">
		<xsd:sequence>
			<xsd:element ref="LANG_NAME"/>
			<xsd:element ref="NUMBER" minOccurs="0"/>			<!--not supported- value is always 0 -->
			<xsd:element ref="DTMF_OPCODE" minOccurs="0"/>		<!--not supported- value is always 0 -->
			<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:complexType name="LanguageMenuContent">
		<xsd:sequence>
			<xsd:element ref="IVR_FEATURE_DETAILS"  minOccurs="0"/>
			<xsd:element ref="CURRENT_LANGUAGE_NUMBER" minOccurs="0"/>
			<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:complexType name="RecordingContent">
		<xsd:sequence>
			<xsd:element ref="IVR_FEATURE_DETAILS"  minOccurs="0"/>
			<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:complexType name="PlaybackContent">
		<xsd:sequence>
			<xsd:element ref="IVR_FEATURE_DETAILS"  minOccurs="0"/>
			<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:complexType name="IvrMessageContent">
		<xsd:sequence>
			<xsd:element ref="LANGUAGE_NUMBER" minOccurs="0"/>		<!--not supported- value is always 0 -->	
			<xsd:element ref="MESSAGE_FILE_NAME" minOccurs="0"/>
			<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:simpleType name="DtmfDelimiterType">
		<xsd:restriction base="xsd:string">
			<xsd:enumeration value="*"/>
			<xsd:enumeration value="#"/>
		</xsd:restriction>
	</xsd:simpleType>

	<xsd:simpleType name="ExternalServerType">
		<xsd:restriction base="xsd:string">
			<xsd:enumeration value="none"/>
			<xsd:enumeration value="numeric_id"/>
			<xsd:enumeration value="party_password"/>
			<xsd:enumeration value="chairman_password"/>
		</xsd:restriction>
	</xsd:simpleType>

	<xsd:simpleType name="ConfEntryPasswordType">
		<xsd:restriction base="xsd:string">
			<xsd:enumeration value="request_password"/>
			<xsd:enumeration value="request_digit"/>
			<xsd:enumeration value="none"/>
		</xsd:restriction>
	</xsd:simpleType>

	<xsd:simpleType name="DtmfOpcodeType">
		<xsd:restriction base="xsd:string">
			<xsd:enumeration value="private_assistance"/>
			<xsd:enumeration value="public_assistance"/>
			<xsd:enumeration value="mute_me"/>
			<xsd:enumeration value="unmute_me"/>
			<!--<xsd:enumeration value="lock_conference"/>
			<xsd:enumeration value="unlock_conference"/>-->
			<xsd:enumeration value="increase_my_volume"/>
			<xsd:enumeration value="decrease_my_volume"/>
			<xsd:enumeration value="mute_all_xpt_me"/>
			<xsd:enumeration value="cancel_mute_all_xpt_me"/>
			<xsd:enumeration value="block_party"/>					<!--not supported-->
			<xsd:enumeration value="cancel_block_party"/>			<!--not supported-->
			<xsd:enumeration value="cancel_private_assistance"/>	<!--not supported-->
			<xsd:enumeration value="cancel_public_assistance"/>		<!--not supported-->
			<xsd:enumeration value="terminate_conference"/>
			<!--<xsd:enumeration value="start_onhold"/>
			<xsd:enumeration value="stop_onhold"/>
			<xsd:enumeration value="start_vote"/>
			<xsd:enumeration value="stop_vote"/>
			<xsd:enumeration value="new_vote"/>
			<xsd:enumeration value="cancel_vote"/>-->
			<xsd:enumeration value="mute_incoming_party"/>
			<xsd:enumeration value="unmute_incoming_party"/>
			<!--<xsd:enumeration value="ask_question"/>
			<xsd:enumeration value="cancel_my_question"/>
			<xsd:enumeration value="next_question"/>-->
			<xsd:enumeration value="end_current_question"/>			<!--not supported-->
			<xsd:enumeration value="close_all_questions"/>			<!--not supported-->
			<!--<xsd:enumeration value="clear_all_questions"/>-->
			<xsd:enumeration value="play_menu"/>
			<xsd:enumeration value="secure_conference"/>		<!-- supported from version 2.0.2--> 
			<xsd:enumeration value="unsecure_conference"/>		<!-- supported from version 2.0.2--> 
			<xsd:enumeration value="show_participants"/>
			<xsd:enumeration value="change_password"/>
			<xsd:enumeration value="mute_all"/>						<!--not supported-->
			<xsd:enumeration value="unmute_all"/>					<!--not supported-->
			<xsd:enumeration value="change_to_chairperson"/>
			<!--<xsd:enumeration value="dial_to_invitee"/>-->
			<xsd:enumeration value="end_feature"/>					<!--not supported-->
			<!--<xsd:enumeration value="admit_and_dial"/>
			<xsd:enumeration value="disconnect_and_dial"/>
			<xsd:enumeration value="admit_and_return"/>
			<xsd:enumeration value="disconnect_and_return"/>-->
			<xsd:enumeration value="clear_number"/>					<!--not supported-->
			<xsd:enumeration value="enable_roll_call"/>
			<xsd:enumeration value="disable_roll_call"/>
			<xsd:enumeration value="roll_call_review_names"/>
			<xsd:enumeration value="roll_call_stop_review_names"/>
			<!--<xsd:enumeration value="start_dial_out"/>-->
			<xsd:enumeration value="start_click_and_view"/>
			<xsd:enumeration value="increase_listen_volume"/>
			<xsd:enumeration value="decrease_listen_volume"/>
			<xsd:enumeration value="override_mute_all"/>
			<!--<xsd:enumeration value="recording_pause"/>-->
			<xsd:enumeration value="recording_resume"/>				<!--not supported-->
			<!--<xsd:enumeration value="recording_stop"/>-->
			<!--<xsd:enumeration value="mute_noisy_line"/>-->
			<xsd:enumeration value="unmute_noisy_line"/>			<!--not supported-->
			<!--<xsd:enumeration value="adjust_noisy_line"/>
			<xsd:enumeration value="disable_noisy_line"/>
			<xsd:enumeration value="noisy_line_help_menu"/>-->
			<xsd:enumeration value="playback_pause"/>				<!--not supported-->
			<xsd:enumeration value="playback_resume"/>				<!--not supported-->
			<xsd:enumeration value="playback_skip_fw"/>				<!--not supported-->
			<xsd:enumeration value="playback_skip_bw"/>				<!--not supported-->
			<xsd:enumeration value="playback_fw_to_end"/>			<!--not supported-->
			<xsd:enumeration value="playback_restart"/>				<!--not supported-->
			<xsd:enumeration value="playback_close"/>				<!--not supported-->
			<xsd:enumeration value="start_resume_recording"/>		<!-- supported from version 2.0.2-->
			<xsd:enumeration value="stop_recording"/>			<!-- supported from version 2.0.2-->
			<xsd:enumeration value="pause_recording"/>			<!-- supported from version 2.0.2-->
			<xsd:enumeration value="playback_menu"/>				<!--not supported-->
			<xsd:enumeration value="unknown"/>						<!--not supported-->
		</xsd:restriction>
	</xsd:simpleType>

	<xsd:simpleType name="DtmfPermissionType">
		<xsd:restriction base="xsd:string">
			<xsd:enumeration value="everyone"/>
			<xsd:enumeration value="chairperson"/>
		</xsd:restriction>
	</xsd:simpleType>

	<xsd:simpleType name="IvrFeatureType">
		<xsd:restriction base="xsd:string">
			<xsd:enumeration value="language_menu"/>			<!--not supported-->
			<xsd:enumeration value="conference_password"/>
			<xsd:enumeration value="pin_code"/>					<!--not supported-->
			<xsd:enumeration value="operator_assistance"/>		
			<xsd:enumeration value="welcome_message"/>
			<xsd:enumeration value="conference_chairperson"/>
			<xsd:enumeration value="general"/>
			<xsd:enumeration value="billing_code"/>
			<xsd:enumeration value="invite_party"/>				<!--not supported-->
			<xsd:enumeration value="roll_call"/>
			<xsd:enumeration value="video_service"/>
			<xsd:enumeration value="numeric_conference_id"/>
			<xsd:enumeration value="noisy_line"/>				<!--not supported-->
			<xsd:enumeration value="recording"/>				<!--not supported-->
			<xsd:enumeration value="playback"/>					<!--not supported-->
		</xsd:restriction>
	</xsd:simpleType>

	<xsd:simpleType name="IvrEventType">
		<xsd:restriction base="xsd:string">
			<xsd:enumeration value="get_language"/>						<!--not supported-->
			<xsd:enumeration value="get_language_retry"/> 				<!--not supported-->   
			<xsd:enumeration value="get_conf_password"/>
			<xsd:enumeration value="get_conf_password_retry"/>
			<xsd:enumeration value="get_digit"/>
			<xsd:enumeration value="get_pin_code"/>						<!--not supported-->
			<xsd:enumeration value="get_pin_code_retry"/>				<!--not supported-->
			<xsd:enumeration value="wait_for_operator_msg"/>		
			<xsd:enumeration value="system_disconnect"/>				<!--not supported-->
			<xsd:enumeration value="welcome_msg"/>
			<xsd:enumeration value="entrance_msg"/>						<!--not supported-->
			<xsd:enumeration value="get_chairman_identifier"/>	
			<xsd:enumeration value="get_chairman_password"/>
			<xsd:enumeration value="get_chairman_password_retry"/>
			<xsd:enumeration value="first_party"/>						<!--not supported-->
			<xsd:enumeration value="secure_on"/>						<!-- supported from version 2.0.2-->
			<xsd:enumeration value="secure_off"/>						<!-- supported from version 2.0.2-->
			<!--<xsd:enumeration value="lock_on"/>
			<xsd:enumeration value="lock_off"/>-->
			<xsd:enumeration value="party_enters"/>						<!--not supported-->
			<xsd:enumeration value="party_quits"/>						<!--not supported-->
			<xsd:enumeration value="conference_ends"/>					<!--not supported-->
			<xsd:enumeration value="record_start"/>						<!--not supported-->
			<xsd:enumeration value="record_stop"/>						<!--not supported-->
			<xsd:enumeration value="record_pause"/>						<!--not supported-->
			<xsd:enumeration value="record_not_available"/>				<!--not supported-->
			<xsd:enumeration value="playback_start"/>					<!--not supported-->
			<xsd:enumeration value="playback_stop"/>					<!--not supported-->
			<xsd:enumeration value="playback_pause"/>					<!--not supported-->
			<xsd:enumeration value="playback_not_available"/>			<!--not supported-->
			<xsd:enumeration value="conference_on_hold"/>				<!--not supported-->
			<xsd:enumeration value="menu_chairman"/>
			<xsd:enumeration value="menu_simple"/>
			<xsd:enumeration value="billing_number"/> 
			<xsd:enumeration value="num_parties_in_conf_begin"/>		<!--not supported-->
			<xsd:enumeration value="num_parties_in_conf_end"/>			<!--not supported-->
			<xsd:enumeration value="end_time_alert"/>
			<xsd:enumeration value="current_speaker"/>					<!--not supported-->
			<xsd:enumeration value="no_resources"/>						<!--not supported-->
			<!--<xsd:enumeration value="ask_question"/>
			<xsd:enumeration value="cancel_my_question"/>-->
			<xsd:enumeration value="clear_all_questions"/>				<!--not supported-->
			<!--<xsd:enumeration value="next_question"/>-->
			<xsd:enumeration value="no_questions"/>						<!--not supported-->
			<xsd:enumeration value="chairman_required"/>
			<xsd:enumeration value="first_to_join"/>
			<!--<xsd:enumeration value="invite_menu"/>
			<xsd:enumeration value="voting_menu"/>-->
			<xsd:enumeration value="question_menu"/>					<!--not supported-->
			<xsd:enumeration value="invite_disable"/>					<!--not supported-->
			<xsd:enumeration value="invite_call"/>						<!--not supported-->
			<xsd:enumeration value="no_resources_for_invitation"/>		<!--not supported-->
			<xsd:enumeration value="no_permissions_for_invitation"/>	<!--not supported-->
			<xsd:enumeration value="illegal_number"/>					<!--not supported-->
			<xsd:enumeration value="lock_conference"/>					<!-- supported from version 2.0.2-->
			<xsd:enumeration value="operator_asks_for_attension"/>		<!--not supported-->
			<xsd:enumeration value="change_password_menu"/>
			<xsd:enumeration value="change_conference_password"/>
			<xsd:enumeration value="change_chairman_password"/>
			<xsd:enumeration value="change_password_confirm"/>
			<xsd:enumeration value="change_password_invalid"/>
			<xsd:enumeration value="change_password_ok"/>
			<xsd:enumeration value="mute_all_on"/>
			<xsd:enumeration value="mute_all_off"/>
			<xsd:enumeration value="chair_dropped"/>
			<xsd:enumeration value="self_mute"/>
			<xsd:enumeration value="self_unmute"/>
			<!--<xsd:enumeration value="menu_chairman_2"/>
			<xsd:enumeration value="menu_simple_2"/>-->
			<xsd:enumeration value="roll_call_record"/>
			<xsd:enumeration value="roll_call_verify_record"/>			<!--not supported-->
			<xsd:enumeration value="roll_call_confirm_record"/>			<!--not supported-->
			<xsd:enumeration value="roll_call_enter"/>
			<xsd:enumeration value="roll_call_exit"/>
			<xsd:enumeration value="roll_call_name_preview_start"/>
			<xsd:enumeration value="roll_call_name_preview_end"/>		<!--not supported-->
			<xsd:enumeration value="max_parties"/>
			<xsd:enumeration value="get_numeric_id"/>
			<xsd:enumeration value="get_numeric_id_retry"/>
			<xsd:enumeration value="noisy_line_help_menu"/>				<!--not supported-->
			<xsd:enumeration value="noisy_line_mute"/>					<!--not supported-->
			<xsd:enumeration value="noisy_line_adjust"/>				<!--not supported-->
			<xsd:enumeration value="noisy_line_disable"/>				<!--not supported-->
			<xsd:enumeration value="noisy_line_unmute"/>				<!--not supported-->
			<xsd:enumeration value="noisy_line_unmute_message"/>		<!--not supported-->
			<xsd:enumeration value="noisy_line_play_message"/>			<!--not supported-->
			<xsd:enumeration value="recording_in_progress"/>			<!-- supported from version 2.0.2-->
			<xsd:enumeration value="rec_started"/>						<!--not supported-->
			<xsd:enumeration value="rec_stopped"/>						<!--not supported-->
			<xsd:enumeration value="rec_paused"/>						<!--not supported-->
			<xsd:enumeration value="rec_resumed"/>						<!--not supported-->
			<xsd:enumeration value="rec_illegal_account"/>				<!--not supported-->
			<xsd:enumeration value="rec_unauthorize"/>					<!--not supported-->
			<xsd:enumeration value="rec_user_overflow"/>				<!--not supported-->
			<xsd:enumeration value="rec_general"/>						<!--not supported-->
			<xsd:enumeration value="playback_session_id"/>				<!--not supported-->
			<xsd:enumeration value="playback_session_id_error"/>		<!--not supported-->
			<xsd:enumeration value="playback_session_end"/>				<!--not supported-->
			<xsd:enumeration value="playback_menu"/>					<!--not supported-->
			<xsd:enumeration value="recording_failed"/>				<!-- supported from version 2.0.2-->
			<xsd:enumeration value="playback_menu_notify"/>				<!--not supported-->
			<xsd:enumeration value="enter_destination_id"/>
			<xsd:enumeration value="incorrect_destination_id"/>
			<xsd:enumeration value="dial_tone"/>
			<xsd:enumeration value="ringing_tone"/>
		</xsd:restriction>
	</xsd:simpleType>

	<xsd:element name="AV_SERVICE_LIST">
		<xsd:complexType> 
			<xsd:sequence>
				<xsd:element ref="OBJ_TOKEN"/>
				<xsd:element ref="CHANGED"/>
				<xsd:element ref="DEFAULT_SERVICE_NAME"  minOccurs="0"/>
				<xsd:element ref="DEFAULT_EQ_SERVICE_NAME"  minOccurs="0"/>				
				<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
				<xsd:choice>
					<xsd:element ref="AV_MSG_SERVICE" minOccurs="0" maxOccurs="unbounded"/>		<!--not supported-->
					<xsd:element ref="IVR_SERVICE" minOccurs="0" maxOccurs="unbounded"/>
				</xsd:choice>
			</xsd:sequence>
		</xsd:complexType> 
	</xsd:element>

	<xsd:complexType name="IvrMsgListContent">
		<xsd:sequence>
			<xsd:element ref="OBJ_TOKEN"/>
			<xsd:element ref="CHANGED"/>
			<xsd:element ref="DOWNLOAD_STATUS" minOccurs="0"/>
			<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
			<xsd:element ref="MSG_PARTITIONS_32_SEC_LIST" minOccurs="0"/>
			<xsd:element ref="MSG_PARTITIONS_16_SEC_LIST" minOccurs="0"/>
			<xsd:element ref="MSG_PARTITIONS_8_SEC_LIST" minOccurs="0"/>
			<xsd:element ref="MSG_PARTITIONS_4_SEC_LIST" minOccurs="0"/>
			<xsd:element ref="MSG_PARTITIONS_2_SEC_LIST" minOccurs="0"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:complexType name="MsgPartitionListContent">
		<xsd:sequence>
			<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
			<xsd:element ref="IVR_MSG" minOccurs="0" maxOccurs="unbounded"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:simpleType name="Ivr2DownloadStatusType">
		<xsd:restriction base="xsd:string">
			<xsd:enumeration value="ok"/>
			<xsd:enumeration value="downloading"/>
			<xsd:enumeration value="fault"/>
		</xsd:restriction>
	</xsd:simpleType>

</xsd:schema>
